### Method

# Ide Notification add_button_with_target_value

#### Declaration

    void
    ide_notification_add_button_with_target_value (
      IdeNotification* self,
      const gchar* label,
      GIcon* icon,
      const gchar* action,
      GVariant* target
    )

#### Description

Adds a new button, used the parsed `GVariant` format for the action target.

Available since: | 3.32

#### Parameters

`label` | `const gchar*`
| The label for the button.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`icon` | `GIcon`
| An optional icon for the button.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`action` | `const gchar*`
| An action name (See `GAction`)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`target` | `GVariant`
| An optional `GVariant` for the action target.
| The argument can be `NULL`.
| The data is owned by the caller of the function.